Create store
curl --request POST \
--url https://api.tagada.io/api/public/v1/stores/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My New Store",
"baseCurrency": "USD",
"presentmentCurrencies": [
"USD",
"EUR"
],
"chargeCurrencies": [
"USD"
]
}
'import requests
url = "https://api.tagada.io/api/public/v1/stores/create"
payload = {
"name": "My New Store",
"baseCurrency": "USD",
"presentmentCurrencies": ["USD", "EUR"],
"chargeCurrencies": ["USD"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My New Store',
baseCurrency: 'USD',
presentmentCurrencies: ['USD', 'EUR'],
chargeCurrencies: ['USD']
})
};
fetch('https://api.tagada.io/api/public/v1/stores/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "store_123",
"name": "My New Store",
"type": "shopify",
"baseCurrency": "USD",
"presentmentCurrencies": [
"USD",
"EUR"
],
"chargeCurrencies": [
"USD"
],
"createdAt": "2024-03-20T10:30:00Z"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}stores
Create store
Create a new store for the authenticated account
POST
/
api
/
public
/
v1
/
stores
/
create
Create store
Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Response
Successful response
⌘I
